using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BusinessLogicContracts
{
    public interface IEquipmentReceivingLogic
    {
        List<EquipmentReceivingViewModel>? ReadList(EquipmentReceivingSearchModel? model);
		bool Delete(EquipmentReceivingBindingModel model);
		bool Create(EquipmentReceivingBindingModel model);
        bool Finish(EquipmentReceivingBindingModel model);
    }
}
